Package org.apache.cayenne.dba

## Interface QuotingStrategy

- All Known Implementing Classes:
    `DefaultQuotingStrategy`

      public interface QuotingStrategy

  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `quotedFullyQualifiedName​(DbEntity entity)` | Builds a fully qualified name from catalog, schema, name parts of DbEntity, enclosing them in quotations according to this strategy algorithm.
    `void` | `quotedIdentifier​(DataMap dataMap, CharSequence identifier, Appendable appender)` | Append quoted identifier to provided appender
    `String` | `quotedIdentifier​(DataMap dataMap, String... identifierParts)` |
    `default void` | `quotedIdentifier​(Entity entity, CharSequence identifier, Appendable appender)` | Append quoted identifier to provided appender
    `default String` | `quotedIdentifier​(Entity entity, String... identifierParts)` |
    `String` | `quotedName​(DbAttribute attribute)` |
    `String` | `quotedSourceName​(DbJoin join)` |
    `String` | `quotedTargetName​(DbJoin join)` |

- - ### Method Detail

    - #### quotedFullyQualifiedName

          String quotedFullyQualifiedName​(DbEntity entity)

      Builds a fully qualified name from catalog, schema, name parts of DbEntity, enclosing them in quotations according to this strategy algorithm. Analog of "quotedIdentifier(entity.getCatalog(), entity.getSchema(), entity.getName())".
      Since:
        4.0

    - #### quotedName

          String quotedName​(DbAttribute attribute)

      Since:
        4.0

    - #### quotedSourceName

          String quotedSourceName​(DbJoin join)

      Since:
        4.0

    - #### quotedTargetName

          String quotedTargetName​(DbJoin join)

      Since:
        4.0

    - #### quotedIdentifier

          default String quotedIdentifier​(Entity entity,
                                          String... identifierParts)

      Since:
        4.0

    - #### quotedIdentifier

          String quotedIdentifier​(DataMap dataMap,
                                  String... identifierParts)

      Since:
        4.0

    - #### quotedIdentifier

          default void quotedIdentifier​(Entity entity,
                                        CharSequence identifier,
                                        Appendable appender)

      Append quoted identifier to provided appender
      Since:
        4.2

    - #### quotedIdentifier

          void quotedIdentifier​(DataMap dataMap,
                                CharSequence identifier,
                                Appendable appender)

      Append quoted identifier to provided appender
      Since:
        4.2